import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
export type IntlLanguagePipeOptions = Partial<Intl.DisplayNamesOptions> & IntlPipeOptions;
export declare class IntlLanguagePipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlLanguagePipeOptions, "locale"> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Omit<IntlLanguagePipeOptions, "locale"> | null | undefined);
    transform(value: string | null | undefined, options?: IntlLanguagePipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlLanguagePipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlLanguagePipe, "intlLanguage", true>;
}
