import { ChangeDetectorRef, OnDestroy, PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
export type IntlRelativeTimePipeOptions = Partial<Intl.RelativeTimeFormatOptions> & IntlPipeOptions;
export declare class IntlRelativeTimePipe implements PipeTransform, OnDestroy {
    #private;
    readonly locales?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlRelativeTimePipeOptions, "locale"> | null | undefined;
    readonly cdr?: ChangeDetectorRef | undefined;
    constructor(locales?: string | string[] | null | undefined, defaultOptions?: Omit<IntlRelativeTimePipeOptions, "locale"> | null | undefined, cdr?: ChangeDetectorRef | undefined);
    transform(value: string | number | Date | null | undefined, options?: IntlRelativeTimePipeOptions): string | null;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlRelativeTimePipe, [{ optional: true; }, { optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlRelativeTimePipe, "intlRelativeTime", true>;
}
