import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
export type IntlDatePipeOptions = Partial<Intl.DateTimeFormatOptions> & IntlPipeOptions;
export declare class IntlDatePipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlDatePipeOptions, "locale"> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Omit<IntlDatePipeOptions, "locale"> | null | undefined);
    transform(value: string | number | Date | null | undefined, options?: IntlDatePipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlDatePipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlDatePipe, "intlDate", true>;
}
