import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
type OmitOptions = 'unit' | 'unitDisplay' | 'currency' | 'currencyDisplay' | 'currencySign';
export type IntlPercentPipeOptions = Omit<Partial<Intl.NumberFormatOptions>, OmitOptions> & IntlPipeOptions;
export declare class IntlPercentPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlPercentPipeOptions, "locale"> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Omit<IntlPercentPipeOptions, "locale"> | null | undefined);
    transform(value: number | string | null | undefined, options?: IntlPercentPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlPercentPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlPercentPipe, "intlPercent", true>;
}
export {};
