import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from '../intl-pipe-options';
import * as i0 from "@angular/core";
type OmitOptions = 'unit' | 'currency' | 'currencyDisplay' | 'currencySign';
export type IntlUnitPipeOptions = Omit<Partial<Intl.NumberFormatOptions>, OmitOptions> & IntlPipeOptions;
export declare class IntlUnitPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Omit<IntlUnitPipeOptions, "locale"> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Omit<IntlUnitPipeOptions, "locale"> | null | undefined);
    transform(value: number | string | null | undefined, unit: string | undefined, options?: IntlUnitPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlUnitPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlUnitPipe, "intlUnit", true>;
}
export {};
